
package gov.va.med.esr.vbr.webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.va.med.esr.vbr.webservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TimeStamp_QNAME = new QName("http://DNS   /schema/esr/vbr/v1", "timeStamp");
    private final static QName _Status_QNAME = new QName("http://DNS   /schema/esr/vbr/v1", "status");
    private final static QName _DeliveryPreference_QNAME = new QName("http://DNS   /schema/esr/vbr/v1", "deliveryPreference");
    private final static QName _RequestNumber_QNAME = new QName("http://DNS   /schema/esr/vbr/v1", "requestNumber");
    private final static QName _ReleaseControlNumber_QNAME = new QName("http://DNS   /schema/esr/vbr/v1", "releaseControlNumber");
    private final static QName _VersionNumber_QNAME = new QName("http://DNS   /schema/esr/vbr/v1", "versionNumber");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.va.med.esr.vbr.webservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SaveDocumentResponse }
     * 
     */
    public SaveDocumentResponse createSaveDocumentResponse() {
        return new SaveDocumentResponse();
    }

    /**
     * Create an instance of {@link Message }
     * 
     */
    public Message createMessage() {
        return new Message();
    }

    /**
     * Create an instance of {@link RetrieveDocumentResponse }
     * 
     */
    public RetrieveDocumentResponse createRetrieveDocumentResponse() {
        return new RetrieveDocumentResponse();
    }

    /**
     * Create an instance of {@link VbrFaultException }
     * 
     */
    public VbrFaultException createVbrFaultException() {
        return new VbrFaultException();
    }

    /**
     * Create an instance of {@link RetrieveDocumentRequest }
     * 
     */
    public RetrieveDocumentRequest createRetrieveDocumentRequest() {
        return new RetrieveDocumentRequest();
    }

    /**
     * Create an instance of {@link VeteranIdentifier }
     * 
     */
    public VeteranIdentifier createVeteranIdentifier() {
        return new VeteranIdentifier();
    }

    /**
     * Create an instance of {@link RetrieveDocumentResponse.Documents }
     * 
     */
    public RetrieveDocumentResponse.Documents createRetrieveDocumentResponseDocuments() {
        return new RetrieveDocumentResponse.Documents();
    }

    /**
     * Create an instance of {@link VbrFaultException.FaultExceptions }
     * 
     */
    public VbrFaultException.FaultExceptions createVbrFaultExceptionFaultExceptions() {
        return new VbrFaultException.FaultExceptions();
    }

    /**
     * Create an instance of {@link SaveDocumentRequest.Documents }
     * 
     */
    public SaveDocumentRequest.Documents createSaveDocumentRequestDocuments() {
        return new SaveDocumentRequest.Documents();
    }

    /**
     * Create an instance of {@link Document }
     * 
     */
    public Document createDocument() {
        return new Document();
    }

    /**
     * Create an instance of {@link VbrFaultException.FaultExceptions.FaultException }
     * 
     */
    public VbrFaultException.FaultExceptions.FaultException createVbrFaultExceptionFaultExceptionsFaultException() {
        return new VbrFaultException.FaultExceptions.FaultException();
    }

    /**
     * Create an instance of {@link Audit }
     * 
     */
    public Audit createAudit() {
        return new Audit();
    }

    /**
     * Create an instance of {@link RetrieveDocumentRequest.SearchCriteria.Types }
     * 
     */
    public RetrieveDocumentRequest.SearchCriteria.Types createRetrieveDocumentRequestSearchCriteriaTypes() {
        return new RetrieveDocumentRequest.SearchCriteria.Types();
    }

    /**
     * Create an instance of {@link SaveDocumentRequest }
     * 
     */
    public SaveDocumentRequest createSaveDocumentRequest() {
        return new SaveDocumentRequest();
    }

    /**
     * Create an instance of {@link RetrieveDocumentRequest.SearchCriteria }
     * 
     */
    public RetrieveDocumentRequest.SearchCriteria createRetrieveDocumentRequestSearchCriteria() {
        return new RetrieveDocumentRequest.SearchCriteria();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://DNS   /schema/esr/vbr/v1", name = "timeStamp")
    public JAXBElement<XMLGregorianCalendar> createTimeStamp(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_TimeStamp_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://DNS   /schema/esr/vbr/v1", name = "status")
    public JAXBElement<String> createStatus(String value) {
        return new JAXBElement<String>(_Status_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://DNS   /schema/esr/vbr/v1", name = "deliveryPreference")
    public JAXBElement<String> createDeliveryPreference(String value) {
        return new JAXBElement<String>(_DeliveryPreference_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://DNS   /schema/esr/vbr/v1", name = "requestNumber")
    public JAXBElement<String> createRequestNumber(String value) {
        return new JAXBElement<String>(_RequestNumber_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://DNS   /schema/esr/vbr/v1", name = "releaseControlNumber")
    public JAXBElement<String> createReleaseControlNumber(String value) {
        return new JAXBElement<String>(_ReleaseControlNumber_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://DNS   /schema/esr/vbr/v1", name = "versionNumber")
    public JAXBElement<Integer> createVersionNumber(Integer value) {
        return new JAXBElement<Integer>(_VersionNumber_QNAME, Integer.class, null, value);
    }

}
